part of 'switch_tabs_bloc.dart';

sealed class SwitchTabsEvent extends Equatable {
  const SwitchTabsEvent();
}

class TriggerSwitchTabsEvent extends SwitchTabsEvent {
  final bool isRoutineView;
  const TriggerSwitchTabsEvent(this.isRoutineView);

  @override
  List<Object?> get props => [isRoutineView];
}

class CreateNewRoutineViewEvent extends SwitchTabsEvent {
  final bool showCreateNewRoutineView;
  const CreateNewRoutineViewEvent(this.showCreateNewRoutineView);

  @override
  List<Object?> get props => [showCreateNewRoutineView];
}
