part of 'switch_tabs_bloc.dart';

sealed class SwitchTabsState extends Equatable {
  const SwitchTabsState();
}

final class SwitchTabsInitial extends SwitchTabsState {
  @override
  List<Object> get props => [];
}

class SelectedTabState extends SwitchTabsState {
  final bool selectedTab;
  const SelectedTabState(this.selectedTab);

  @override
  List<Object?> get props => [selectedTab];
}

class ShowCreateRoutineState extends SwitchTabsState {
  final bool showCreateRoutine;
  const ShowCreateRoutineState(this.showCreateRoutine);

  @override
  List<Object?> get props => [showCreateRoutine];
}
